#
# spec file for package sock (Version 1.0.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         sock
Copyright:    GPL
Group:        Networking/Utilities
Provides:     sock 
Autoreqprov:  on
Version:      1.0.1
Release:      91
Summary:      Sock -- A Simple Shell Interface to Network Sockets
Source:       sock-%{version}.tar.gz
Buildroot:    /%{_tmppath}/%{name}-root

%description
This program serves as an interface for network sockets for use in both
shell scripts and manually from the command line. In contrast to netcat, it
handles EOF in a way that e.g. tar archives can easily be transferred. See
the man page (man 1 sock) for more details.
Example:
host1 # sock -l :7777 > file
host2 # cat file | sock host1:7777
host1 # sock -l :7777 | tar xvzfp -
host2 # tar czfp - some/dir | sock host1:7777

Authors:
--------
    Martin Mares <mj@atrey.karlin.mff.cuni.cz>

SuSE series: n

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$RPM_BUILD_ROOT/usr --mandir=$RPM_BUILD_ROOT/%{_mandir}
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
make install

%clean
#rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/sock
%{_mandir}/man1/sock.1.gz
%docdir /%{_defaultdocdir}/sock
%doc README

%changelog -n sock
* Wed Mar 21 2001 - poeml@suse.de
- create package
